> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get time series



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Report/GetTimeSeries
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Report/GetTimeSeries:
    post:
      tags:
        - Report
      summary: Get time series
      operationId: GetTimeSeries
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetTimeSeriesRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetTimeSeriesRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetTimeSeriesRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetTimeSeriesRequest'
        description: The request.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetTimeSeriesResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetTimeSeriesRequest:
      example:
        end_date: '2000-01-23T04:56:07.000+00:00'
        filter: '{}'
        series_name: series_name
        start_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        series_name:
          nullable: true
          type: string
        start_date:
          format: date-time
          type: string
        end_date:
          format: date-time
          type: string
        filter:
          discriminator:
            mapping:
              Derivitec.Web.Core.Reports.Equal, Derivitec.Web.Core: '#/components/schemas/Equal'
              Derivitec.Web.Core.Interfaces.IFilterDefinition, Derivitec.Web.Core: '#/components/schemas/IFilterDefinition'
            propertyName: $type
          required:
            - $type
          type: object
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiGetTimeSeriesRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetTimeSeriesResponse:
      example:
        time_series: ''
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        time_series:
          nullable: true
          type: array
          items:
            type: object
            additionalProperties: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiGetTimeSeriesResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    Equal:
      properties:
        column_name:
          nullable: true
          type: string
        value:
          oneOf:
            - nullable: true
              type: string
            - type: number
            - type: boolean
            - type: array
              items: {}
            - type: object
              additionalProperties: true
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Reports.Equal, Derivitec.Web.Core
      required:
        - $type
      type: object
    IFilterDefinition:
      discriminator:
        mapping:
          Derivitec.Web.Core.Reports.Equal, Derivitec.Web.Core: '#/components/schemas/Equal'
          Derivitec.Web.Core.Interfaces.IFilterDefinition, Derivitec.Web.Core: '#/components/schemas/IFilterDefinitionMintlifyShape'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/Equal'
        - $ref: '#/components/schemas/IFilterDefinitionMintlifyShape'
    IFilterDefinitionMintlifyShape:
      required:
        - $type
      type: object
      properties:
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Interfaces.IFilterDefinition,
              Derivitec.Web.Core
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````